<!doctype html >
<html lang="en" xmlns:th="http://thymeleaf.org">
<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>LIST WEBINAR</title>


  <!-- Bootstrap CSS -->

  <object th:include="fragments/fragment :: navbar-css" th:remove="tag"></object>
  <object th:include="fragments/fragment :: css" th:remove="tag"></object>
  <object th:include="fragments/fragment :: js" th:remove="tag"></object>

  <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
  <script src="/js/listWebinar.js"></script>
<!--  <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>-->
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
  <link href="https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400&family=Roboto:wght@100&family=Water+Brush&display=swap" rel="stylesheet">
  <link rel="stylesheet" th:href="@{https://cdn.jsdelivr.net/npm/bootstrap-icons@1.5.0/font/bootstrap-icons.css}">
  <link rel="stylesheet" th:href="@{/css/list-webinar-style.css}">


</head>
<body>
;<header th:replace="fragments/fragment :: navbar"></header>

<main>
  <section class="py-5 text-lg-left container">
    <div class="row py-lg-5">
      <div th:if="${type=='recorded'}" class="col-lg-8  mx-auto">
        <h1 class=" slide-title" style="color: white;">Recorded Seminars</h1>
        <p class="lead font-weight-light"  style="color: white;">Medis menyediakan seminar-seminar terbaru untuk meningkatkan wawasan terkait dunia kesehatan dari para ahli di bidangnya. Dapatkan manfaat lebih dari mengikuti seminar di Medis, seperti sertifikat dan akses ke rekaman seminar yang dapat Anda akses kapan saja.</p>
      </div>
      <div th:unless="${type=='recorded'}" class="col-lg-8  mx-auto">
        <h1 class=" slide-title" style="color: white;">Live Seminars</h1>
        <p class="lead font-weight-light"  style="color: white;">Medis menyediakan seminar-seminar terbaru untuk meningkatkan wawasan terkait dunia kesehatan dari para ahli di bidangnya. Dapatkan manfaat lebih dari mengikuti seminar di Medis, seperti sertifikat dan akses ke rekaman seminar yang dapat Anda akses kapan saja.</p>
      </div>
      <div class="input-group rounded col-lg-4">
        <form th:onsubmit="onSubmitSearch(event, [[${role}]])" class="nosubmit">
          <input id="search" type="search" class="nosubmit form-control rounded fa fa-search" placeholder="Search"  aria-label="Search" aria-describedby="search-addon" />
        </form>
      </div>
    </div>
  </section>
<div id="containerCard">
<!--  <div th:insert="fragments/card-container :: cardContainer"></div>-->
  <!-- card-container.html loaded here -->
  <script th:inline="javascript">
    var role = /*[[${role}]]*/ ""
    const type = [[${type}]];
    const searchBy = [[${searchBy}]];
    console.log(searchBy)
    console.log(role)
    $(function() {
      $('#containerCard').load(`/seminars/${role}/list-seminar/live/card-container.html?type=${type}&page=1`);
    });
    $(function() {
        $('#footer-page').load(`/seminars/footer.html?type=${type}&page=1`);
    });
  </script>
</div>

</main>

<footer id="footer-page" class="footer text-muted py-5">
</footer>
<script>

   // $(function() {
   //     var numberOfItems = $(".card-content .card").length;
   //     var pageLinks = document.querySelectorAll('.pagination .page-link');
   //
   //     // Add event listeners to each pagination link
   //     pageLinks.forEach(function (link) {
   //         link.addEventListener('click', function (event) {
   //             event.preventDefault();
   //
   //             // Remove the active class from all pagination links
   //             pageLinks.forEach(function (link) {
   //                 link.parentNode.classList.remove('active');
   //             });
   //
   //             // Add the active class to the clicked pagination link
   //             link.parentNode.classList.add('active');
   //
   //             // Update the content based on the selected page
   //             var selectedPage = parseInt(link.textContent);
   //             // Your logic to load and display the cards for the selected page
   //             console.log([[${searchBy}]])
   //             console.log(link.value)
   //             console.log(event)
   //         });
   //     });
   // })

</script>




<!-- Optional JavaScript; choose one of the two! -->

<!-- Option 1: jQuery and Bootstrap Bundle (includes Popper) -->

<!--<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>-->

<!-- Option 2: Separate Popper and Bootstrap JS -->
<!--
<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.min.js" integrity="sha384-+sLIOodYLS7CIrQpBjl+C7nPvqq+FbNUBDunl/OZv93DB7Ln/533i8e/mZXLi/P+" crossorigin="anonymous"></script>
-->

</body>
</html>